<?php

/* FIRESHOP: Advanced Content Market System                         */

/* ============================================                         */

/*                                                                      */

/* Copyright (c) 2012 by Mohamad Porhaji                                */

/* http://Firedesign.ir                                                   */

/*                                                                      */

/* This program is free software.  */

/************************************************************************/

/* $Id: general.php,v 1.0.0.1 2012/02/18 By Mohamad Porhaji $ */

if (stristr(htmlentities($_SERVER["PHP_SELF"]), "general.php")) {
    Header("Location: index.php");
    die();
}



if(isset($_POST['update'])){
if(empty($_POST['site_title'])
or empty($_POST['description'])
or empty($_POST['keywords'])
or empty($_POST['site_url'])
or empty($_POST['pro_limit'])
){

echo"پر كردن فيلد هاي ستاره دار الزامي است  <a href='javascript:history.go(-1)'>بازگشت</a>";
}else{







$id=$_POST['id'];
$site_title =$_POST['site_title'];
$description=$_POST['description'];
$keywords=$_POST['keywords'];
$site_url=$_POST['site_url'];
$tel=$_POST['tel'];
$adress=$_POST['adress'];
$mail=$_POST['mail'];
$pro_limit=$_POST['pro_limit'];
$xDefault_Theme=$_POST['xDefault_Theme'];





$query = $db->sql_query("UPDATE `fireshop_general` SET `site_title`='$site_title',`description`='$description',`keywords`='$keywords',`site_url`='$site_url' ,`tel`='$tel' ,`adress`='$adress',`des`='' ,`mail`='$mail'  ,`pro_limit`='$pro_limit' ,`default_theme`='$xDefault_Theme'  WHERE id='$id' LIMIT 1") or die(mysql_error());if($query){
echo"اطلاعات فروشگاه با موفقيت به روز شد<br/><br/>
<button onclick='javascript:history.go(-1)' class='button'>بازگشت</button>
";

}else{
echo"خطا";
}

}

}else{

$datasql = $db->sql_query("SELECT * FROM fireshop_general where `id`='1' Limit 1");
$mydata = $db->sql_fetchrow($datasql); 
$id = $mydata['id'];
$site_title = $mydata['site_title'];
$description = $mydata['description'];
$keywords = $mydata['keywords'];
$site_url = $mydata['site_url'];
$tel = $mydata['tel'];
$adress= $mydata['adress'];
$des= $mydata['des'];
$mail = $mydata['mail'];
$pro_limit = $mydata['pro_limit'];


echo"
<form action='admin.php?do=general' method='post'>
<div align='right' style='padding:10px;'>
<br/><br/>
<div style='float:right;width:110px' for=\"name\">عنوان فروشگاه : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name=\"site_title\" size='30' style='height: 20px' value='$site_title'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">قالب سايت : <span style='color: red'>*</span></div>

<div style='float:right;'>";


$row = $db->sql_fetchrow($db->sql_query("SELECT default_theme from fireshop_general"));
$Default_Theme = $row['default_theme'];
echo"<select name='xDefault_Theme'>";
$handle=opendir('template');
		while ($file = readdir($handle)) {
			if ( (!ereg("[.]",$file)) ) {
				@$themelist .= "$file ";
			}
		}
		closedir($handle);
		$themelist = explode(" ", $themelist);
		sort($themelist);
		for ($i=0; $i < sizeof($themelist); $i++) {
			if(!empty($themelist[$i])) {
				echo "<option name='xDefault_Theme' value='$themelist[$i]' ";
				if($themelist[$i]==$Default_Theme) echo "selected";
				echo ">$themelist[$i]\n";
			}
		}
echo "</select>";




echo"  توجه : به هيچ وجه قالب اصلي (fireshop_default) را حذف نكنيد</div><div class='clear'></div><br/>


<div style='float:right;width:110px' for=\"name\">تلفن  : </div>
<div style='float:right;'><input type='text' name='tel' size='30' style='height: 18px' value='$tel'/> جهت درج در فاكتور مشتري </div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">آدرس : </div>
<div style='float:right;'><textarea type='text' name='adress'  style='width: 250px; height: 80px'>$adress</textarea> جهت درج در فاكتور مشتري</div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">آدرس سايت  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='site_url' size='30' style='height: 18px' value='$site_url'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">ايميل فروشگاه  : </div>
<div style='float:right;'><input type='text' name='mail' size='30' style='height: 18px' value='$mail'/></div><div class='clear'></div><br/>

<div style='float:right;width:210px' for=\"name\">تعداد محصول قابل نمايش در صفحه اصلي  : <span style='color: red'>*</span></div>
<div style='float:right;'><select name='pro_limit'>
<option value=''>انتخاب كنيد</option>
<option value='6'>6</option>
<option value='9'>9</option>
<option value='12'>12</option>
<option value='15'>15</option>
<option value='18'>18</option>
<option value='21'>21</option>
<option value='27'>27</option>
</select> حالت استاندارد 12 محصول ميباشد</div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">كلمات كليدي  : <span style='color: red'>*</span></div>
<div style='float:right;'><textarea type='text' name='keywords'  style='width: 250px; height: 80px'>$keywords</textarea> كلمات را با , از هم جدا كنيد</div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">دامنه موضوعي و كاري فروشگاه  : <span style='color: red'>*</span></div>
<div style='float:right;'><textarea type='text' name='description'  style='width: 250px; height: 80px'>$description</textarea></div><div class='clear'></div><br/>

<br/>
<input  type='hidden' size='10' name='id'  value='$id'/>
<input type='submit' name='update' value='بروز رساني' />
</div></form>

";

}







?>